﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Data
{
	public enum DifficultyLevel
	{
		easy,
		medium,
		hard,
	}

	public enum QStatus
	{
		published,
		pending_review,
		deprecated,
	}

	public enum QType
	{
		选择题,
		填空题,
		写作,

	}

	public class QuestionData : IDataCommon
	{
		public int Id { get; set; } = 0;
		public QType Type { get; set; } = QType.填空题;
		public string Stem { get; set; } = string.Empty;
		public string Answer { get; set; } = String.Empty;
		public DifficultyLevel DifficultyLevel { get; set; } = DifficultyLevel.easy;
		public string Category { get; set; } = string.Empty;
		public string Tags { get; set; } = "默认";
		public string Source { get; set; } = string.Empty;
		public int Lesson { get; set; } = 0;
		public QStatus Status { get; set; } = QStatus.published;


		//public string TableName { get => "questions"; set => throw new NotImplementedException(); }
	}
}
