﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Data
{
	public enum Gender
	{
		男,
		女,
	}
	public class StudentData : IDataCommon
	{
		// Count info
		public long UID { get; set; } = 1;
		public string Password { get; set; } = "123456";

		// Base info
		public string Name { get; set; } = "Name";
		public string Gender {  get; set; } = "Gender";
		public string Contact { get; set; } = "Contact";
		public string Address { get; set; } = "Address";
		public int Grade { get; set; } = 1;
		public DateTime Birthdate { get; set; } = DateTime.Now;

		// Error Set
		public int TotalsQuestions { get; set; } = 0;
		public int CorrectionCount { get; set; } = 0;

		// HomeWork
		public int CurronHomeWorkIndex { get; set; } = 0;

		// HomeWorkSet
		public uint HWQTotalCount { get; set; } = 0;  
		public uint HWQTotalErrorCount { get; set; } = 0;


		// Extension
		public float ErrorRate { get; set; } = 0;
		public float CorrectRate { get; set; } = 0;
		public int UnCorrectCount { get; set; } = 0;

	}
}
