﻿using DryIoc.ImTools;
using StudentManager.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Common
{
	public static class HomeWorkManager
	{
		public static HomeWork CommonHomeWork { get; set; } = new HomeWork();

		public static void Create(StudentInfo student,int lesson, bool appedCommonWork = false, int workNum = 10)
		{
			HomeWork work = new HomeWork { Lesson = lesson};
			foreach(var item in student.ErrorSet.ErrorArray)
			{
				work.AddHomeWork(item);
			}

			if (appedCommonWork && CommonHomeWork.Questions.Count > 0)
			{
				work.Append(CommonHomeWork);
			}

			Public(work);
			
		}


		public static void Public(HomeWork homeWork)
		{
            foreach (var item in StudentLib.StudentDic)
            {
				item.Value.PublicHomeWork(homeWork);
            }
        }
	}
}
